Skip to main content

Documentation Index

Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt

Use this file to discover all available pages before exploring further.

Search Opportunity
GET https://services.leadconnectorhq.com/opportunities/search

Autorizacion

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.

Query parameters

q
string
default:"john@deo.com"
location_id
string
default:"i2SpAtBVHSVea1sL6oah"
required
Account Id
pipeline_id
string
default:"bCkKGpDsyPP4peuKowkG"
Pipeline Id
pipeline_stage_id
string
default:"7915dedc-8f18-44d5-8bc3-77c04e994a10"
stage Id
contact_id
string
default:"WFwVrSSjZ2CNHbZThQX2"
Contact Id
status
string
assigned_to
string
default:"082goXVW3lIExEQPOnd3"
campaignId
string
default:"Y2I9XM7aO1hncuSOlc9L"
Campaign Id
id
string
default:"123akv4LFn6C9frZoy3e"
Opportunity Id
order
string
default:"added_asc"
endDate
string
default:"mm-dd-yyyy"
End date
startAfter
string
default:"1628008053263"
Start After
startAfterId
string
default:"UIaE1WjAwWKdlyD7osQI"
Start After Id
date
string
default:"mm-dd-yyyy"
Start date
country
string
default:"US"
page
number
limit
number
Limit Per Page records count. will allow maximum up to 100 and default will be 20
getTasks
boolean
default:"False"
get Tasks in contact
getNotes
boolean
default:"False"
get Notes in contact
getCalendarEvents
boolean
default:"False"
get Calender event in contact

Respuestas

opportunities
object[]
meta
object
aggregations
object
{
  "opportunities": [
    {
      "id": "yWQobCRIhRguQtD2llvk",
      "name": "testing",
      "monetaryValue": 500,
      "pipelineId": "VDm7RPYC2GLUvdpKmBfC",
      "pipelineStageId": "e93ba61a-53b3-45e7-985a-c7732dbcdb69",
      "assignedTo": "zT46WSCPbudrq4zhWMk6",
      "status": "open",
      "source": "",
      "lastStatusChangeAt": "2021-08-03T04:55:17.355Z",
      "lastStageChangeAt": "2021-08-03T04:55:17.355Z",
      "lastActionDate": "2021-08-03T04:55:17.355Z",
      "indexVersion": 1,
      "createdAt": "2021-08-03T04:55:17.355Z",
      "updatedAt": "2021-08-03T04:55:17.355Z",
      "contactId": "zT46WSCPbudrq4zhWMk6",
      "locationId": "zT46WSCPbudrq4zhW",
      "contact": {
        "id": "byMEV0NQinDhq8ZfiOi2",
        "name": "John Deo",
        "companyName": "Tesla Inc",
        "email": "john@deo.com",
        "phone": "+1202-555-0107",
        "tags": []
      },
      "notes": [
        []
      ],
      "tasks": [
        []
      ],
      "calendarEvents": [
        []
      ],
      "lostReasonId": "zT46WSCPbudrq4zhWMk6",
      "customFields": [
        {}
  // truncado: 18 lineas mas
}
{}
{}
{}

Ejemplo

curl -X GET 'https://services.leadconnectorhq.com/opportunities/search' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'